#include "classicnotedyingstate.h"
#include "../classicnote.h"
#include "../classicsprite.h"

auto ClassicNoteDyingState::value() const -> Value
{
    return Value::DYING;
}

auto ClassicNoteDyingState::update(const ClassicNote* note, const microsec& offset) -> Value
{
    (void) offset;
    const auto& sprite = note->sprite();

    sprite->update();
    if (sprite->isDead())
        return Value::NONE;

    return value();
}

void ClassicNoteDyingState::onEntering(const ClassicNote* note)
{
    note->sprite()->pulse();
}

